package service

import (
	"reflect"

	oopcs "git.loafle.net/overflow/overflow_probe_container/service"
)

var (
	ServicesToStartAndStop = []reflect.Type{
		reflect.TypeOf((*oopcs.SensorConfigService)(nil)),
		reflect.TypeOf((*oopcs.CrawlerService)(nil)),
		reflect.TypeOf((*oopcs.ProbeService)(nil)),
		reflect.TypeOf((*oopcs.StateService)(nil)),
	}
)

func InitService() {
	oopcs.InitService()
}

func DestroyService() {
	oopcs.DestroyService()
}
